// import { login, logout, getInfo } from '@/api/user'
// import { getToken, setToken, removeToken } from '@/utils/auth'
import { resetRouter } from '@/router'
import request from '@/utils/request'
import Cookies from "js-cookie";

const state = {
  userinfo: {
    username: '',
    id: '',
    nickname: '',
    status: '',
    mailbox: '',
    phonenumber: '',
    lastUpdatePwdTime: ''
  }
}

const mutations = {
  updateUser: (state, user) => {
    state.userinfo = user
    // state.user.id = user.id
    // state.user.username = user.username
    // state.user.nickname = user.nickname
    // state.user.status = user.status
    // state.user.mailbox = user.mailbox
    // state.user.phonenumber = user.phonenumber
    // state.user.lastUpdatePwdTime = user.lastUpdatePwdTime
  }
}

const actions = {
  changeSetting({ commit }, user) {
    commit('updateUser', user)
  },

  // get user info
  getInfo({ commit, state }) {
    return state.userinfo
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}


